#!/bin/ash

#This script checks if the user is admin and, if they didn't log in with
#the empty string, allows them to enter the bmc shell.
username=`whoami`

if [ "$username" = "admin" -o "$username" = "naroot" ]; then
    if  [ ! -f /tmp/access_shell_not_allowed ]; then
        sh
    else
        echo "Contact technical support."
        exit 255
    fi
else
    echo "Contact technical support."
    exit 255
fi

exit 0
